/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.artifacts.model;

import java.io.Serializable;

public class StaticBedHeightCacheKey implements Serializable {
    public static final String CACHE_NAME = "bedheight-value-table-static";

    private int time;
    private int height_id;

    public StaticBedHeightCacheKey(int column, int wst_id) {
        this.height_id  = wst_id;
        this.time  = column;
    }

    public int hashCode() {
        return (height_id << 8) | time;
    }

    public boolean equals(Object other) {
        if (!(other instanceof StaticBedHeightCacheKey)) {
            return false;
        }
        StaticBedHeightCacheKey o = (StaticBedHeightCacheKey) other;
        return this.height_id == o.height_id && this.time == o.time;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
